#
# Resource backup , created Wed Apr 01 09:14:46 CEST 2020
#

#---------------------------------------------------------
# SERVER RPC2TangoBridge/vgperf, RPC2TangoBridge device declaration
#---------------------------------------------------------

RPC2TangoBridge/vgperf/DEVICE/RPC2TangoBridge: "rpcbridge/rpc2tangobridge/vgperf"


# --- rpcbridge/rpc2tangobridge/vgperf properties

rpcbridge/rpc2tangobridge/vgperf->polled_attr: vgperf_s2.1_pres_rri,\ 
                                               3000,\ 
                                               vgperf_s3.1_pres_rri,\ 
                                               3000,\ 
                                               vgperf_s8.1_pres_rri,\ 
                                               3000
rpcbridge/rpc2tangobridge/vgperf->Rpc_items: VGPERF_S2.1_PRES_RRI,\ 
                                             VGPERF_S3.1_PRES_RRI,\ 
                                             VGPERF_S8.1_PRES_RRI

# --- rpcbridge/rpc2tangobridge/vgperf attribute properties

rpcbridge/rpc2tangobridge/vgperf/VGPERF_S2.1_PRES_RRI->archive_period: 300000
rpcbridge/rpc2tangobridge/vgperf/VGPERF_S2.1_PRES_RRI->archive_rel_change: -20,\ 
                                                                           20
rpcbridge/rpc2tangobridge/vgperf/VGPERF_S3.1_PRES_RRI->archive_period: 300000
rpcbridge/rpc2tangobridge/vgperf/VGPERF_S3.1_PRES_RRI->archive_rel_change: -20,\ 
                                                                           20
rpcbridge/rpc2tangobridge/vgperf/VGPERF_S8.1_PRES_RRI->archive_period: 300000
rpcbridge/rpc2tangobridge/vgperf/VGPERF_S8.1_PRES_RRI->archive_rel_change: -20,\ 
                                                                           20

#---------------------------------------------------------
# CLASS RPC2TangoBridge properties
#---------------------------------------------------------

CLASS/RPC2TangoBridge->cvs_location: "/home/cvsadm/cvsroot/elettra/server/RPC2TangoBridge/"
CLASS/RPC2TangoBridge->cvs_tag: release_06
CLASS/RPC2TangoBridge->Description: "Every RPC client who emits alarms will send them to this server.",\ 
                                    "RPCAlarmTAngo will then map every alarm into a specific Tango attribute, so",\ 
                                    "that it can be notified to the Tango Alarm System.",\ 
                                    "The Tango Alarm System has to subscribe to all the attributes managed by this",\ 
                                    RPC2TangoBridge.
CLASS/RPC2TangoBridge->doc_url: "http://www.esrf.fr/computing/cs/tango/tango_doc/ds_doc/"
CLASS/RPC2TangoBridge->InheritedFrom: Device_3Impl
CLASS/RPC2TangoBridge->ProjectTitle: "Provides a conversion from RPC alarms to Tango alarm attributes."

# CLASS RPC2TangoBridge attribute properties



# --- dserver/RPC2TangoBridge/vgperf properties

dserver/RPC2TangoBridge/vgperf->polling_threads_pool_conf: "rpcbridge/rpc2tangobridge/vgperf"
